{ pkgs, ... }:

{
  env.CGO_ENABLED = 0;
  env.PCMT_DBTYPE = "postgres";
  env.PCMT_CONNSTRING = "host=127.0.0.1 sslmode=disable port=5432 user=postgres dbname=postgres password=postgres";

  packages = with pkgs; [ 
    git 
    go_1_20 
    dhall 
    dhall-json 

    nodePackages.npm
    nodePackages.tailwindcss
    nodePackages.browser-sync

    podman
    just
    air
  ];

  enterShell = ''
    echo -- welcome to devenv shell --
  '';

  # https://devenv.sh/processes/
  processes = {
    pcmt = {
      exec = "air";
    };
    brs = {
      exec = "npm i; npm run watch-brs";
    };
    db = {
      exec = "just dbstart";
    };
  };
}
