package handlers

import (
	"fmt"
	"io"
	"strconv"
)

func renderErrorPage(wr io.Writer, status int, statusText, error string) error {
	tpl := getTmpl("errorPage.tmpl")
	strStatus := strconv.Itoa(status)

	err := tpl.Execute(wr,
		page{
			AppName:    setting.AppName(),
			AppVer:     appver,
			Title:      fmt.Sprintf("Error %s - %s", strStatus, statusText),
			DevelMode:  setting.IsDevel(),
			Current:    strStatus,
			Error:      error,
			Status:     strStatus,
			StatusText: statusText,
		},
	)
	if err != nil {
		return err
	}

	return nil
}
